import {defineStore} from "pinia";

export const useStore = defineStore('general', {
    state: () => {
        return {
            user: {
                role: '',
                username: '',
                email: ''
            }, locations: [
                {name: 'cn', desc: '中国大陆'},
                {name: 'hk', desc: '香港'},
                {name: 'jp', desc: '日本'},
                {name: 'us', desc: '美国'},
                {name: 'sg', desc: '新加坡'},
                {name: 'kr', desc: '韩国'},
                {name: 'de', desc: '德国'}
            ]

        }
    },
    getters: {
        isAdmin() {
            return this.user.role === 'admin'
        }
    },
    persist: true
})
